#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: HsOpenSSL
version: 0.11.1.1
id: HsOpenSSL-0.11.1.1-49517dba963396362e2ea33e8e8f2bff
key: HsOpe_GnLae7U7W9ZI8AcRoM668H
license: PublicDomain
maintainer: PHO <pho at cielonegro dot org>
stability: stable
homepage: https://github.com/phonohawk/HsOpenSSL
synopsis: Partial OpenSSL binding for Haskell
description:
    .
    HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA
    and DSA keys, read and write PEM files, generate message digests,
    sign and verify messages, encrypt and decrypt messages. It has
    also some capabilities of creating SSL clients and servers.
    .
    This package is in production use by a number of Haskell based
    systems and stable. You may also be interested in the @tls@ package,
    <http://hackage.haskell.org/package/tls>, which is a pure Haskell
    implementation of SSL.
    .
category: Cryptography
author: Adam Langley, Mikhail Vorozhtsov, PHO, Taru Karttunen
exposed: True
exposed-modules:
    OpenSSL OpenSSL.BN OpenSSL.EVP.Base64 OpenSSL.EVP.Cipher
    OpenSSL.EVP.Digest OpenSSL.EVP.Internal OpenSSL.EVP.Open
    OpenSSL.EVP.PKey OpenSSL.EVP.Seal OpenSSL.EVP.Sign
    OpenSSL.EVP.Verify OpenSSL.Cipher OpenSSL.PEM OpenSSL.PKCS7
    OpenSSL.Random OpenSSL.DSA OpenSSL.RSA OpenSSL.X509
    OpenSSL.X509.Revocation OpenSSL.X509.Request OpenSSL.X509.Store
    OpenSSL.Session OpenSSL.DH
hidden-modules: OpenSSL.ASN1 OpenSSL.BIO OpenSSL.ERR
                OpenSSL.Objects OpenSSL.SSL OpenSSL.SSL.Option OpenSSL.Stack
                OpenSSL.Utils OpenSSL.X509.Name OpenSSL.DH.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/HsOpenSSL-0.11.1.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/HsOpenSSL-0.11.1.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/HsOpenSSL-0.11.1.1
hs-libraries: HSHsOpenSSL-0.11.1.1-GnLae7U7W9ZI8AcRoM668H
extra-libraries:
    crypto ssl
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    network-2.6.2.1-1d887b232935ec0b0e833d6b1965a343
    old-locale-1.0.0.7-2f3f4311e12e7847c2af472c26151237
    time-1.5.0.1-52ad75dcebbd2b7b57831e7da202bac7
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/HsOpenSSL-0.11.1.1/html/HsOpenSSL.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/HsOpenSSL-0.11.1.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
